<?php
// Paging untuk semua berita
class paging_berita{
  // Fungsi untuk mencek halaman dan posisi data
  function cariPosisi($batas){
    if(empty($_GET['halberita'])){
	     $posisi=0;
	     $_GET['halberita']=1;
    }
    else{
	     $posisi = ($_GET['halberita']-1) * $batas;
    }
    return $posisi;
  }

  // Fungsi untuk menghitung total halaman
  function jumlahHalaman($jmldata, $batas){
    $jmlhalaman = ceil($jmldata/$batas);
    return $jmlhalaman;
  }

  // Fungsi untuk link halaman 1,2,3, dst 
  function navHalaman($halaman_aktif, $jmlhalaman){
    $link_halaman = "";

    // Link ke halaman pertama (first) dan sebelumnya (prev)
    if($halaman_aktif > 1){
	    $prev = $halaman_aktif-1;
	    $link_halaman .= "<a href=\"halberita-1.html\" class=\"page-numbers btn btn-outline-danger\">&laquo;</a>   
                        <a href=\"halberita-$prev.html\" class=\"page-numbers btn btn-outline-danger\">&lsaquo;</a> ";
    }

    // Link halaman 1,2,3, ...
    $angka = ($halaman_aktif > 3 ? " ... " : " "); 
    for ($i=$halaman_aktif-2; $i<$halaman_aktif; $i++){
      if ($i < 1) continue;
 	    $angka .= " <a href=\"halberita-$i.html\" class=\"page-numbers btn btn-outline-danger\">$i</a> ";
    }
	    $angka .= " <span class=\"page-numbers current btn btn-danger active\">$halaman_aktif</span> ";
	  
    for($i=$halaman_aktif+1; $i<($halaman_aktif+3); $i++){
      if($i > $jmlhalaman) break;
	    $angka .= " <a href=\"halberita-$i.html\" class=\"page-numbers btn btn-outline-danger\">$i</a> ";
    }
	    $angka .= ($halaman_aktif+2<$jmlhalaman ? " ... <a href=\"halberita-$jmlhalaman.html\" class=\"page-numbers btn btn-outline-danger\">$jmlhalaman</a> " : " ");

    $link_halaman .= "$angka";

    // Link ke halaman berikutnya (Next) dan terakhir (Last) 
    if($halaman_aktif < $jmlhalaman){
	    $next = $halaman_aktif+1;
	    $link_halaman .= " <a href=\"halberita-$next.html\" class=\"page-numbers btn btn-outline-danger\">&rsaquo;</a>  
                         <a href=\"halberita-$jmlhalaman.html\" class=\"page-numbers btn btn-outline-danger\">&raquo;</a> ";
    }
    return $link_halaman;
  }
}


// Paging untuk kategori (berita per kategori)
class paging_kategori{
  // Fungsi untuk mencek halaman dan posisi data
  function cariPosisi($batas){
    if(empty($_GET['halkategori'])){
	     $posisi=0;
	     $_GET['halkategori']=1;
    }
    else{
	     $posisi = ($_GET['halkategori']-1) * $batas;
    }
    return $posisi;
  }

  // Fungsi untuk menghitung total halaman
  function jumlahHalaman($jmldata, $batas){
    $jmlhalaman = ceil($jmldata/$batas);
    return $jmlhalaman;
  }

  // Fungsi untuk link halaman 1,2,3, dst 
  function navHalaman($halaman_aktif, $jmlhalaman){
    $link_halaman = "";

    // Link ke halaman pertama (first) dan sebelumnya (prev)
    if($halaman_aktif > 1){
	    $prev = $halaman_aktif-1;
	    $link_halaman .= "<a href=\"halkategori-1.html\" class=\"page-numbers btn btn-outline-danger\">&laquo;</a>   
                        <a href=\"halkategori-$prev.html\" class=\"page-numbers btn btn-outline-danger\">&lsaquo;</a> ";
    }

    // Link halaman 1,2,3, ...
    $angka = ($halaman_aktif > 3 ? " ... " : " "); 
    for ($i=$halaman_aktif-2; $i<$halaman_aktif; $i++){
      if ($i < 1) continue;
 	    $angka .= " <a href=\"halkategori-$i.html\" class=\"page-numbers btn btn-outline-danger\">$i</a> ";
    }
	    $angka .= " <span class=\"page-numbers current btn btn-danger active\">$halaman_aktif</span> ";
	  
    for($i=$halaman_aktif+1; $i<($halaman_aktif+3); $i++){
      if($i > $jmlhalaman) break;
	    $angka .= " <a href=\"halkategori-$i.html\" class=\"page-numbers btn btn-outline-danger\">$i</a> ";
    }
	    $angka .= ($halaman_aktif+2<$jmlhalaman ? " ... <a href=\"halkategori-$jmlhalaman.html\" class=\"page-numbers btn btn-outline-danger\">$jmlhalaman</a> " : " ");

    $link_halaman .= "$angka";

    // Link ke halaman berikutnya (Next) dan terakhir (Last) 
    if($halaman_aktif < $jmlhalaman){
	    $next = $halaman_aktif+1;
	    $link_halaman .= " <a href=\"halkategori-$next.html\" class=\"page-numbers btn btn-outline-danger\">&rsaquo;</a>  
                         <a href=\"halkategori-$jmlhalaman.html\" class=\"page-numbers btn btn-outline-danger\">&raquo;</a> ";
    }
    return $link_halaman;
  }
}
?>